![pypi version](https://img.shields.io/pypi/v/pycondor.svg 'pypi version')
![pypi status](https://img.shields.io/pypi/status/pycondor.svg 'pypi status')
![license](https://img.shields.io/pypi/l/pycondor.svg 'license')

## PyCondor (Python HTCondor)

[HTCondor](https://research.cs.wisc.edu/htcondor/) is a an open-source workload management system for high throughput computing developed at the University of Wisconsin–Madison. PyCondor is a tool that helps **build and submit HTCondor submission files in a straight-forward manner with minimal hassle**.

### Useful Links

* Documentation: [http://www.jamesbourbeau.com/pycondor](http://www.jamesbourbeau.com/pycondor)
* GitHub repository: [https://github.com/jrbourbeau/pycondor](https://github.com/jrbourbeau/pycondor)
* PyPI: [https://pypi.python.org/pypi/PyCondor](https://pypi.python.org/pypi/PyCondor)


### Installation

PyCondor can be easily installed via pip

```
pip install pycondor
```

In addition, you can also install PyCondor by downloading the [project .tar file from the Python Package Index](https://pypi.python.org/pypi/PyCondor), unzip the download, navigate to the PyCondor project directory and run

```
python setup.py install
```

To upgrade an existing version of PyCondor, execute the following

```
pip install pycondor --upgrade
```

Lastly, you can always fork the [GitHub repository](https://github.com/jrbourbeau/pycondor) and install locally via

```
python setup.py install
```



### Examples

For example uses of PyCondor, please see the [examples page](http://www.jamesbourbeau.com/pycondor/examples/) in the documentation or the `examples/` directory in the project repository.



### License

[MIT License](LICENSE)

Copyright (c) 2017 James Bourbeau
